Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get shareable link

Gets a shareable link with its full resource details.

GET/api/v2/{team_slug}/{app_slug}/dam/shareable-links/{link_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
link_idstring<uuid>required
Responses
200

OK

dataShareableLinkDetailrequired
Show properties
idUUIDrequired
tokenstringrequired
descriptionstring | null
expires_atstring<date-time> | null
created_atstring<date-time>required
updated_atstring<date-time> | null
foldersFolder[]
Show properties
Array of Folder
idUUIDrequired
namestringrequired
slugstringrequired
parent_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
publicbooleanrequired
is_defaultbooleanrequired
image_countintegerrequired
video_countintegerrequired
file_countintegerrequired
has_content_accessbooleanrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
itemsMediaItem[]
Show properties
Array of MediaItem
idUUIDrequired
typestringrequired
Allowed:imagevideofile
urlstringrequired
titlestring | null
statusstringrequired
descriptionstring | null
blurhashstring | null
publicbooleanrequired
folderFolderRef | null
Show properties
Any of:
FolderRef
idUUIDrequired
namestringrequired
slugstringrequired
null
null
created_atstring<date-time>required
updated_atstring<date-time> | null
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/dam/shareable-links/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "token": "string",
    "description": "string",
    "expires_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "folders": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string",
        "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
        "public": true,
        "is_default": true,
        "image_count": 0,
        "video_count": 0,
        "file_count": 0,
        "has_content_access": true,
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "items": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "type": "image",
        "url": "string",
        "title": "string",
        "status": "string",
        "description": "string",
        "blurhash": "string",
        "public": true,
        "folder": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string"
        },
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ]
  }
}